Package org.eclipse.emf.cdo.etypes.util

# Class BasicAnnotationValidator.ValidationContext

java.lang.Object
org.eclipse.emf.cdo.etypes.util.BasicAnnotationValidator.ValidationContext

Enclosing class:
  BasicAnnotationValidator

public static class BasicAnnotationValidator.ValidationContext extends Object
Context data used by `validateAttributeDetailValueLiteral` to pass contextual information that can be used when a data type's value is `validated`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CONTEXT_KEY`
The key used in the context map.

## Constructor Summary

Constructors
Constructor
Description
`ValidationContext(Annotation annotation, ModelElement modelElement, Map.Entry<String,String> entry, EAttribute eAttribute)`
Creates an instance.

## Method Summary

Modifier and Type
Method
Description
`Annotation`
`getAnnotation()`
Returns the annotation being validated.
`EAttribute`
`getEAttribute()`
The attribute of the data type being validated.
`Map.Entry<String,String>`
`getEntry()`
The `detail entry` being validated.
`ModelElement`
`getModelElement()`
The containing model elements of the annotation being validated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CONTEXT_KEY

public static final String CONTEXT_KEY
The key used in the context map.

See Also:
  - Constant Field Values

## Constructor Details

### ValidationContext

public ValidationContext(Annotation annotation, ModelElement modelElement, Map.Entry<String,String> entry, EAttribute eAttribute)
Creates an instance.

Parameters:
  `annotation` - the annotation being validated.
  `modelElement` - the model element containing that annotation.
  `entry` - the detail entry being validated.
  `eAttribute` - the structural feature of the data type.

## Method Details

### getAnnotation

public Annotation getAnnotation()
Returns the annotation being validated.

Returns:
  the annotation being validated.

### getModelElement

public ModelElement getModelElement()
The containing model elements of the annotation being validated.

Returns:
  the containing model elements of the annotation being validated.

### getEntry

public Map.Entry<String,String> getEntry()
The `detail entry` being validated.

Returns:
  the detail entry being validated.

### getEAttribute

public EAttribute getEAttribute()
The attribute of the data type being validated.

Returns:
  the attribute of the data type being validated.